Package org.codehaus.commons.compiler.util.resource

# Class ResourceFinders

java.lang.Object
org.codehaus.commons.compiler.util.resource.ResourceFinders

public final class ResourceFinders extends Object
Utility methods around the `ResourceFinder`.

## Method Summary

Modifier and Type
Method
Description
`static ResourceFinder`
`debugResourceFinder(ResourceFinder delegate)`
`static ListableResourceFinder`
`fromClassLoader(ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fromClassLoader

public static ListableResourceFinder fromClassLoader(ClassLoader classLoader)

Returns:
  Finds resources via classLoader`.getResource()`; all found resources are `LocatableResource`s

### debugResourceFinder

public static ResourceFinder debugResourceFinder(ResourceFinder delegate)